NX Open C++ Reference Guide
|
Represents a CAM::CollisionPairBuilder
To create a new instance of this class, use SIM::KinematicConfigurator::CreateCollisionPairBuilder
Created in NX6.0.0.
More...
Public Types | |
enum | Filter { FilterComponent, FilterClass, FilterComponentParent } |
the collision selection filter value More... | |
Public Member Functions | |
double | CollisionClearance () |
Returns the collision clearance Created in NX6.0.0. | |
bool | CollisionEnable () |
Returns the collision enable Created in NX6.0.0. | |
NXOpen::CAM::CollisionPairBuilder::Filter | FirstObjectFilter () |
Returns the first collision selection filter Created in NX6.0.0. | |
NXString | FirstObjectName () |
Returns the first collision selection name Created in NX6.0.0. | |
NXOpen::CAM::CollisionPairBuilder::Filter | SecondObjectFilter () |
Returns the second collision selection filter Created in NX6.0.0. | |
NXString | SecondObjectName () |
Returns the second collision selection name Created in NX6.0.0. | |
void | SetCollisionClearance (double collisionClearance) |
Sets the collision clearance Created in NX6.0.0. | |
void | SetCollisionEnable (bool collisionEnable) |
Sets the collision enable Created in NX6.0.0. | |
void | SetFirstObjectFilter (NXOpen::CAM::CollisionPairBuilder::Filter filter) |
Sets the first collision selection filter Created in NX6.0.0. | |
void | SetFirstObjectName (const NXString &name) |
Sets the first collision selection name Created in NX6.0.0. | |
void | SetFirstObjectName (const char *name) |
Sets the first collision selection name Created in NX6.0.0. | |
void | SetSecondObjectFilter (NXOpen::CAM::CollisionPairBuilder::Filter filter) |
Sets the second collision selection filter Created in NX6.0.0. | |
void | SetSecondObjectName (const NXString &name) |
Sets the second collision selection name Created in NX6.0.0. | |
void | SetSecondObjectName (const char *name) |
Sets the second collision selection name Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a CAM::CollisionPairBuilder
To create a new instance of this class, use SIM::KinematicConfigurator::CreateCollisionPairBuilder
Created in NX6.0.0.
double NXOpen::CAM::CollisionPairBuilder::CollisionClearance | ( | ) |
Returns the collision clearance
Created in NX6.0.0.
License requirements : None
bool NXOpen::CAM::CollisionPairBuilder::CollisionEnable | ( | ) |
Returns the collision enable
Created in NX6.0.0.
License requirements : None
NXOpen::CAM::CollisionPairBuilder::Filter NXOpen::CAM::CollisionPairBuilder::FirstObjectFilter | ( | ) |
Returns the first collision selection filter
Created in NX6.0.0.
License requirements : None
NXString NXOpen::CAM::CollisionPairBuilder::FirstObjectName | ( | ) |
Returns the first collision selection name
Created in NX6.0.0.
License requirements : None
NXOpen::CAM::CollisionPairBuilder::Filter NXOpen::CAM::CollisionPairBuilder::SecondObjectFilter | ( | ) |
Returns the second collision selection filter
Created in NX6.0.0.
License requirements : None
NXString NXOpen::CAM::CollisionPairBuilder::SecondObjectName | ( | ) |
Returns the second collision selection name
Created in NX6.0.0.
License requirements : None
void NXOpen::CAM::CollisionPairBuilder::SetCollisionClearance | ( | double | collisionClearance | ) |
Sets the collision clearance
Created in NX6.0.0.
License requirements : cam_base ("CAM BASE")
collisionClearance | collisionclearance |
void NXOpen::CAM::CollisionPairBuilder::SetCollisionEnable | ( | bool | collisionEnable | ) |
Sets the collision enable
Created in NX6.0.0.
License requirements : cam_base ("CAM BASE")
collisionEnable | collisionenable |
void NXOpen::CAM::CollisionPairBuilder::SetFirstObjectFilter | ( | NXOpen::CAM::CollisionPairBuilder::Filter | filter | ) |
Sets the first collision selection filter
Created in NX6.0.0.
License requirements : cam_base ("CAM BASE")
filter | filter |
void NXOpen::CAM::CollisionPairBuilder::SetFirstObjectName | ( | const NXString & | name | ) |
Sets the first collision selection name
Created in NX6.0.0.
License requirements : cam_base ("CAM BASE")
name | name |
void NXOpen::CAM::CollisionPairBuilder::SetFirstObjectName | ( | const char * | name | ) |
Sets the first collision selection name
Created in NX6.0.0.
License requirements : cam_base ("CAM BASE")
name | name |
void NXOpen::CAM::CollisionPairBuilder::SetSecondObjectFilter | ( | NXOpen::CAM::CollisionPairBuilder::Filter | filter | ) |
Sets the second collision selection filter
Created in NX6.0.0.
License requirements : cam_base ("CAM BASE")
filter | filter |
void NXOpen::CAM::CollisionPairBuilder::SetSecondObjectName | ( | const NXString & | name | ) |
Sets the second collision selection name
Created in NX6.0.0.
License requirements : cam_base ("CAM BASE")
name | name |
void NXOpen::CAM::CollisionPairBuilder::SetSecondObjectName | ( | const char * | name | ) |
Sets the second collision selection name
Created in NX6.0.0.
License requirements : cam_base ("CAM BASE")
name | name |